## NMIP6Config NMIP6Config |

## Functions

GObject * | nm_ip6_config_new ()
const char * | nm_ip6_config_get_gateway ()
const GSList * | nm_ip6_config_get_addresses ()
const GSList * | nm_ip6_config_get_routes ()
guint32 | nm_ip6_config_get_num_nameservers ()
const struct in6_addr * | nm_ip6_config_get_nameserver ()
const GSList * | nm_ip6_config_get_nameservers ()
const GPtrArray * | nm_ip6_config_get_domains ()
const GPtrArray * | nm_ip6_config_get_searches ()

## Properties

NMIP6AddressObjectArray * | addresses | Read
NMStringArray * | domains | Read
gchar * | gateway | Read
NMIP6AddressArray * | nameservers | Read
NMIP6RouteObjectArray * | routes | Read
NMStringArray * | searches | Read

## Types and Values

#define | NM_IP6_CONFIG_GATEWAY
#define | NM_IP6_CONFIG_ADDRESSES
#define | NM_IP6_CONFIG_ROUTES
#define | NM_IP6_CONFIG_NAMESERVERS
#define | NM_IP6_CONFIG_DOMAINS
#define | NM_IP6_CONFIG_SEARCHES

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMIP6Config

## Description

## Functions

### nm_ip6_config_new ()

    GObject *
    nm_ip6_config_new (DBusGConnection *connection,
                       const char *object_path);

Creates a new NMIP6Config.

#### Parameters

connection | the DBusGConnection |
object_path | the DBus object path of the device |

#### Returns

a new IP6 configuration.

[transfer full]

### nm_ip6_config_get_gateway ()

    const char *
    nm_ip6_config_get_gateway (NMIP6Config *config);

Gets the IP6 gateway.

#### Parameters

config | a NMIP6Config |

#### Returns

the IPv6 gateway of the configuration.

Since: 0.9.10

### nm_ip6_config_get_addresses ()

    const GSList *
    nm_ip6_config_get_addresses (NMIP6Config *config);

Gets the IP6 addresses (containing the address, prefix, and gateway).

#### Parameters

config | a NMIP6Config |

#### Returns

the GSList containing NMIP6Addresses. This is the internal copy used by the configuration and must not be modified.

[element-type NMIP6Address]

### nm_ip6_config_get_routes ()

    const GSList *
    nm_ip6_config_get_routes (NMIP6Config *config);

Gets the routes.

#### Parameters

config | a NMIP6Config |

#### Returns

the GSList containing NMIP6Routes. This is the internal copy used by the configuration, and must not be modified.

[element-type NMIP6Route]

### nm_ip6_config_get_num_nameservers ()

    guint32
    nm_ip6_config_get_num_nameservers (NMIP6Config *config);

Gets the number of the domain name servers in the configuration.

#### Parameters

config | a NMIP6Config |

#### Returns

the number of domain name servers

Since: 0.9.10

### nm_ip6_config_get_nameserver ()

    const struct in6_addr *
    nm_ip6_config_get_nameserver (NMIP6Config *config,
                                  guint32 idx);

Gets the domain name server at index `idx` in the configuration.

#### Parameters

config | a NMIP6Config |
idx | index of the nameserver to return |

#### Returns

the IPv6 address of domain name server at index `iidx` .

[array fixed-size=16][element-type guint8][transfer none]

Since: 0.9.10

### nm_ip6_config_get_nameservers ()

    const GSList *
    nm_ip6_config_get_nameservers (NMIP6Config *config);

Gets the domain name servers (DNS).

[skip]

#### Parameters

config | a NMIP6Config |

#### Returns

a GSList containing elements of type 'struct in6_addr' which contain the addresses of nameservers of the configuration. This is the internal copy used by the configuration and must not be modified.

### nm_ip6_config_get_domains ()

    const GPtrArray *
    nm_ip6_config_get_domains (NMIP6Config *config);

Gets the domain names.

#### Parameters

config | a NMIP6Config |

#### Returns

the GPtrArray containing domains as strings. This is the internal copy used by the configuration, and must not be modified.

[element-type utf8]

### nm_ip6_config_get_searches ()

    const GPtrArray *
    nm_ip6_config_get_searches (NMIP6Config *config);

Gets the dns searches.

#### Parameters

config | a NMIP6Config |

#### Returns

the GPtrArray containing dns searches as strings. This is the internal copy used by the configuration, and must not be modified.

[element-type utf8]

Since: 0.9.10

## Types and Values

### NM_IP6_CONFIG_GATEWAY

    #define NM_IP6_CONFIG_GATEWAY "gateway"

### NM_IP6_CONFIG_ADDRESSES

    #define NM_IP6_CONFIG_ADDRESSES "addresses"

### NM_IP6_CONFIG_ROUTES

    #define NM_IP6_CONFIG_ROUTES "routes"

### NM_IP6_CONFIG_NAMESERVERS

    #define NM_IP6_CONFIG_NAMESERVERS "nameservers"

### NM_IP6_CONFIG_DOMAINS

    #define NM_IP6_CONFIG_DOMAINS "domains"

### NM_IP6_CONFIG_SEARCHES

    #define NM_IP6_CONFIG_SEARCHES "searches"

## Property Details

### The `“addresses”` property

      “addresses”                NMIP6AddressObjectArray *

The GPtrArray containing the IPv6 addresses; use `nm_utils_ip6_addresses_from_gvalue()` to return a GSList of NMSettingIP6Address objects that is more usable than the raw data.

Flags: Read

### The `“domains”` property

      “domains”                  NMStringArray *

The GPtrArray containing domain strings of the configuration.

Flags: Read

### The `“gateway”` property

      “gateway”                  gchar *

The IPv6 gateway as string

Flags: Read

Default value: NULL

Since: 0.9.10

### The `“nameservers”` property

      “nameservers”              NMIP6AddressArray *

The GPtrArray containing elements of type 'struct ip6_addr' which contain the addresses of nameservers of the configuration.

Flags: Read

### The `“routes”` property

      “routes”                   NMIP6RouteObjectArray *

The GPtrArray containing the IPv6 routes; use `nm_utils_ip6_routes_from_gvalue()` to return a GSList of NMSettingIP6Address objects that is more usable than the raw data.

Flags: Read

### The `“searches”` property

      “searches”                 NMStringArray *

The GPtrArray containing dns search strings of the configuration.

Flags: Read

Since: 0.9.10